<?php
namespace Claromentis\People\UseCase;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array();
use Claromentis\Core\Security\SecurityContext;
use Claromentis\People\Entity\User;
use Claromentis\People\Exception\NotFoundException;
use Claromentis\People\Filter\UserFilter;




class GetCurrentUser
{
    
    
    
    
    protected $get_user;
    public function __construct(GetUser $get_user)
    {
        $this->get_user = $get_user;
    }
    
    
    
    
    
    
    
    public function Get(SecurityContext $context, ?UserFilter $_03e9164d0a343b742df4793268b80767 = null)
    {
        if (!$_03e9164d0a343b742df4793268b80767) {
            $_03e9164d0a343b742df4793268b80767 = new UserFilter($context);
        }
        $user_id = $context->GetUserId();
        return $this->get_user->Get($context, $user_id, $_03e9164d0a343b742df4793268b80767);
    }
}